import { FileType, TargetEvent } from './enums.js';
import LazyMapSet from './lazy_map_set.js';
import WatcherStats from './watcher_stats.js';
import type { INO, Path } from './types.js';
declare class WatcherPoller {
    inos: Partial<Record<TargetEvent, Record<Path, [INO, FileType]>>>;
    paths: LazyMapSet<INO, Path>;
    stats: Map<Path, WatcherStats>;
    getIno(targetPath: Path, event: TargetEvent, type?: FileType): INO | undefined;
    getStats(targetPath: Path): WatcherStats | undefined;
    poll(targetPath: Path, timeout?: number): Promise<WatcherStats | undefined>;
    reset(): void;
    update(targetPath: Path, timeout?: number): Promise<TargetEvent[]>;
    updateIno(targetPath: Path, event: TargetEvent, stats: WatcherStats): void;
    updateStats(targetPath: Path, stats?: WatcherStats): void;
}
export default WatcherPoller;
